Bug 185695 - games/xconq: Fix build with gcc
games/xconq: Fix build with gcc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Antoine Brodin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-15 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (14.29 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:01 UTC
- Fix build with gcc

New file:
files/patch-Makefile.in
files/patch-curses__Makefile.in
files/patch-doc__Makefile.in
files/patch-images__Makefile.in
files/patch-lib__Makefile.in
files/patch-sdl__Makefile.in
files/patch-tcltk__Makefile.in
files/patch-x11__Makefile.in
Comment 1 Antoine Brodin freebsd_committer 2014-01-14 20:46:48 UTC
State Changed
From-To: open->feedback

Requesting feedback:  this port doesn't stage as non root: 

chown root /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/* 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/1756.g: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/1757.g: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/1805.g: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/3rd-age.g: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/advances.g: Operation not permitted 
chown: /wrkdirs/usr/ports/games/xconq/work/stage/usr/local/share/xconq/lib/advterr.g: Operation not permitted 

Can you submit an updated patch staging as non root? 



Comment 2 Antoine Brodin freebsd_committer 2014-01-14 20:46:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 3 tkato432 2014-01-15 17:58:18 UTC
Ah, it seems NEED_ROOT would be necessary in cases like this.
Comment 4 dfilter freebsd_committer 2014-01-15 21:19:34 UTC
Author: antoine
Date: Wed Jan 15 21:19:24 2014
New Revision: 339823
URL: http://svnweb.freebsd.org/changeset/ports/339823
QAT: https://qat.redports.org/buildarchive/r339823/

Log:
  - Unbreak
  - Stage support
  
  PR:		ports/185695
  Submitted by:	KATO Tsuguru

Added:
  head/games/xconq/files/patch-Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-curses__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-doc__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-images__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-lib__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-sdl__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-tcltk__Makefile.in   (contents, props changed)
  head/games/xconq/files/patch-x11__Makefile.in   (contents, props changed)
Modified:
  head/games/xconq/Makefile
  head/games/xconq/pkg-plist

Modified: head/games/xconq/Makefile
==============================================================================
--- head/games/xconq/Makefile	Wed Jan 15 21:09:44 2014	(r339822)
+++ head/games/xconq/Makefile	Wed Jan 15 21:19:24 2014	(r339823)
@@ -13,22 +13,18 @@ LICENSE=	GPLv2 # (or later)
 
 OPTIONS_DEFINE=	SDL
 
-BROKEN=		Does not build
-
 USE_BZIP2=	yes
+USES=		compiler gmake
 USE_XORG=	x11
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-CFLAGS+=	-Wno-deprecated-writable-strings
 CONFIGURE_ARGS=	--enable-alternate-scoresdir=${SCOREDIR} \
 		--enable-alternate-gameuser=root \
 		--enable-alternate-gamegroup=games
-MAKE_ARGS=	GAMEPERM=2755 DIRPERM=775 FILEPERM=664
+MAKE_ARGS=	GAMEPERM=755 DIRPERM=775 FILEPERM=664
 MAKE_JOBS_UNSAFE=	yes
 
 PLIST_SUB=	SCOREDIR="${SCOREDIR}"
 
-MAN6=		xconq.6
 INFO=		xconq
 
 DESKTOP_ENTRIES="${PORTNAME}" "${COMMENT}" "" "${PORTNAME}" \
@@ -36,7 +32,6 @@ DESKTOP_ENTRIES="${PORTNAME}" "${COMMENT
 
 SCOREDIR?=	/var/games/xconq
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MSDL}
@@ -44,14 +39,21 @@ USE_SDL=	sdl
 CONFIGURE_ARGS+=--enable-default-ui=sdl
 PLIST_SUB+=	NOSDL="@comment "
 .else
+USES+=		tk
 USE_XORG+=	xext xmu xt xaw
-USE_TK_BUILD=	yes
-USE_TK=		yes
 CONFIGURE_ARGS+=--with-tclconfig=${TCL_LIBDIR} \
 		--with-tkconfig=${TK_LIBDIR}
 PLIST_SUB+=	NOSDL=""
 .endif
 
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == clang
+CFLAGS+=	-Wno-deprecated-writable-strings
+.else
+CFLAGS+=	-Wno-write-strings
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e \
 		'/^HFLAGS/s| $${debugging}||' ${WRKSRC}/configure
@@ -63,13 +65,14 @@ post-build:
 	(cd ${WRKSRC}/doc && makeinfo xconq.texi)
 
 post-install:
-	(cd ${WRKSRC}/doc && ${INSTALL_DATA} xconq.info ${PREFIX}/${INFO_PATH})
-	${STRIP_CMD} ${PREFIX}/bin/xconq
+	${INSTALL_DATA} ${WRKSRC}/doc/xconq.info \
+		${STAGEDIR}${PREFIX}/${INFO_PATH}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/xconq
 .if empty(PORT_OPTIONS:MSDL)
 .for i in imf2x imfapp x2imf
-	${STRIP_CMD} ${PREFIX}/bin/${i}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${i}
 .endfor
 .endif
-	@${FIND} ${DATADIR} -empty -delete
+	@${FIND} ${STAGEDIR}${DATADIR} -empty -delete
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Added: head/games/xconq/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,46 @@
+--- Makefile.in.orig
++++ Makefile.in
+@@ -274,20 +274,19 @@
+ 	fi
+ 
+ MAKEDIRS= \
+-	$(prefix) \
+-	$(exec_prefix) \
+-	$(bindir) \
+-	$(datadir) \
+-	$(gamelibdir) \
+-	$(imagesdir) \
+-	$(scoresdir) \
+-	$(mandir) \
+-	$(man6dir) \
+-	$(infodir) \
+-	$(tcltkdir) \
+-	$(BWidgetdir) \
+-	$(BWidgetimagesdir) \
+-	$(BWidgetlangdir)
++	$(DESTDIR)$(prefix) \
++	$(DESTDIR)$(exec_prefix) \
++	$(DESTDIR)$(bindir) \
++	$(DESTDIR)$(datadir) \
++	$(DESTDIR)$(gamelibdir) \
++	$(DESTDIR)$(imagesdir) \
++	$(DESTDIR)$(mandir) \
++	$(DESTDIR)$(man6dir) \
++	$(DESTDIR)$(infodir) \
++	$(DESTDIR)$(tcltkdir) \
++	$(DESTDIR)$(BWidgetdir) \
++	$(DESTDIR)$(BWidgetimagesdir) \
++	$(DESTDIR)$(BWidgetlangdir)
+ 
+ .PHONY: install-dirs
+ install-dirs:
+@@ -305,9 +304,6 @@
+ 			true ; \
+ 		fi ; \
+ 	done
+-	chown $(GAMEUID) $(scoresdir)
+-	chgrp $(GAMEGRP) $(scoresdir)
+-	chmod $(DIRPERM) $(scoresdir)
+ 
+ # Build a source distribution.
+ DIST_VERSION=@XCONQ_VERSION_FULL@

Added: head/games/xconq/files/patch-curses__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-curses__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,17 @@
+--- ./curses/Makefile.in.orig	2004-11-21 02:59:19.000000000 +0000
++++ ./curses/Makefile.in	2014-01-15 20:22:15.000000000 +0000
+@@ -132,11 +132,9 @@
+ 	else \
+ 		progname="$(CCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname}; \
+-	$(INSTALL_DATA) cconq.6 $(man6dir)
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname}; \
++	$(INSTALL_DATA) cconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Cleanliness support.
+ 

Added: head/games/xconq/files/patch-doc__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-doc__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,11 @@
+--- doc/Makefile.in.orig
++++ doc/Makefile.in
+@@ -95,7 +95,7 @@
+ 
+ install-info: info
+ 	for i in *.info* ; do \
+-		$(INSTALL_DATA) $$i $(infodir)/$$i ; \
++		$(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/$$i ; \
+ 	done
+ 
+ # Generation of DVI files.

Added: head/games/xconq/files/patch-images__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-images__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,23 @@
+--- ./images/Makefile.in.orig	2004-11-21 02:59:21.000000000 +0000
++++ ./images/Makefile.in	2014-01-15 20:22:48.000000000 +0000
+@@ -51,16 +51,14 @@
+ install-only:
+ 	for i in `ls $(srcdir)/*.gif `; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(imagesdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(imagesdir); \
+ 	done
+ 	for i in `ls $(srcdir)/*.bmp `; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(imagesdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(imagesdir); \
+ 	done
+-	chown $(GAMEUID) $(imagesdir) $(imagesdir)/*
+-	chgrp $(GAMEGRP) $(imagesdir) $(imagesdir)/*
+-	chmod $(DIRPERM) $(imagesdir)
+-	chmod $(FILEPERM) $(imagesdir)/*
++	chmod $(DIRPERM) $(DESTDIR)$(imagesdir)
++	chmod $(FILEPERM) $(DESTDIR)$(imagesdir)/*
+ 
+ clean:
+ 

Added: head/games/xconq/files/patch-lib__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-lib__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,18 @@
+--- ./lib/Makefile.in.orig	2004-11-21 03:01:29.000000000 +0000
++++ ./lib/Makefile.in	2014-01-15 20:23:04.000000000 +0000
+@@ -51,12 +51,10 @@
+ install-only:
+ 	for i in `ls $(srcdir)/*.dir $(srcdir)/*.g $(srcdir)/*.imf $(srcdir)/news.txt`; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(gamelibdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(gamelibdir); \
+ 	done
+-	chown $(GAMEUID) $(gamelibdir) $(gamelibdir)/*
+-	chgrp $(GAMEGRP) $(gamelibdir) $(gamelibdir)/*
+-	chmod $(DIRPERM) $(gamelibdir)
+-	chmod $(FILEPERM) $(gamelibdir)/*
++	chmod $(DIRPERM) $(DESTDIR)$(gamelibdir)
++	chmod $(FILEPERM) $(DESTDIR)$(gamelibdir)/*
+ 
+ clean:
+ 

Added: head/games/xconq/files/patch-sdl__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-sdl__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,15 @@
+--- ./sdl/Makefile.in.orig	2005-05-01 01:47:14.000000000 +0000
++++ ./sdl/Makefile.in	2014-01-15 20:23:15.000000000 +0000
+@@ -244,10 +244,8 @@
+ 	else \
+ 		progname="$(SDLCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname};
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname};
+ 
+ install-manpages-only:
+ 	(cd $(x11srcdir) && $(MAKE) $(FLAGS_TO_PASS) install-manpages-only)

Added: head/games/xconq/files/patch-tcltk__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-tcltk__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,53 @@
+--- ./tcltk/Makefile.in.orig	2005-06-06 03:03:56.000000000 +0000
++++ ./tcltk/Makefile.in	2014-01-15 20:23:28.000000000 +0000
+@@ -286,17 +286,13 @@
+ install-xconq: $(PLATFORM_INSTALL_TARGETS)
+ 
+ install-libs-only:
+-	$(INSTALL_DATA) $(srcdir)/tkconq.tcl $(tcltkdir)
+-	$(INSTALL_DATA) $(srcdir)/imfapp.tcl $(tcltkdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/*.* $(BWidgetdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/images/*.* $(BWidgetimagesdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/lang/*.* $(BWidgetlangdir)
+-	chown $(GAMEUID) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir) \
+-				     $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
+-	chgrp $(GAMEGRP) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir) \
+-				     $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
+-	chmod $(DIRPERM) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir)
+-	chmod $(FILEPERM) $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
++	$(INSTALL_DATA) $(srcdir)/tkconq.tcl $(DESTDIR)$(tcltkdir)
++	$(INSTALL_DATA) $(srcdir)/imfapp.tcl $(DESTDIR)$(tcltkdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/*.* $(DESTDIR)$(BWidgetdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/images/*.* $(DESTDIR)$(BWidgetimagesdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/lang/*.* $(DESTDIR)$(BWidgetlangdir)
++	chmod $(DIRPERM) $(DESTDIR)$(tcltkdir) $(DESTDIR)$(BWidgetdir) $(DESTDIR)$(BWidgetimagesdir) $(DESTDIR)$(BWidgetlangdir)
++	chmod $(FILEPERM) $(DESTDIR)$(tcltkdir)/*.* $(DESTDIR)$(BWidgetdir)/*.* $(DESTDIR)$(BWidgetimagesdir)/*.* $(DESTDIR)$(BWidgetlangdir)/*.*
+ 
+ install-xconq-only: $(TKCONQ_EXEC_NAME)
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+@@ -305,10 +301,8 @@
+ 	else \
+ 		progname="$(TKCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname}; 
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname}; 
+ 
+ install-imfapp-only: imfapp
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+@@ -317,10 +311,8 @@
+ 	else \
+ 		progname="imfapp" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(IAPPPERM) $(bindir)/$${progname};
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/$${progname};
+ 
+ install-ximfconvs-only: x2imf imf2x
+ 	(cd ../x11 && $(MAKE) $(FLAGS_TO_PASS) install-ximfconvs-only)

Added: head/games/xconq/files/patch-x11__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xconq/files/patch-x11__Makefile.in	Wed Jan 15 21:19:24 2014	(r339823)
@@ -0,0 +1,51 @@
+--- ./x11/Makefile.in.orig	2004-11-21 03:02:57.000000000 +0000
++++ ./x11/Makefile.in	2014-01-15 20:23:38.000000000 +0000
+@@ -213,35 +213,29 @@
+ 
+ install-xtconq: install-ximfconvs-only 
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_PROGRAM) $(XTCONQ_EXEC_NAME) $(bindir); \
+-	chown $(GAMEUID) $(bindir)/xtconq; \
+-	chgrp $(GAMEGRP) $(bindir)/xtconq; \
+-	chmod $(GAMEPERM) $(bindir)/xtconq; \
+-	$(INSTALL_DATA) Xtconq $(appdefaultsdir); \
+-	$(INSTALL_DATA) Xtconq-color $(appdefaultsdir); \
+-	$(INSTALL_PROGRAM) xshowimf $(bindir); \
+-	chown $(GAMEUID) $(bindir)/xshowimf ; \
+-	chgrp $(GAMEGRP) $(bindir)/xshowimf ; \
+-	chmod $(IAPPPERM) $(bindir)/xshowimf ; \
+-	$(INSTALL_DATA) XShowimf $(appdefaultsdir); \
+-	$(INSTALL_DATA) XShowimf-color $(appdefaultsdir); \
+-	$(INSTALL_DATA) xtconq.6 $(man6dir)
++	$(INSTALL_PROGRAM) $(XTCONQ_EXEC_NAME) $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/xtconq; \
++	$(INSTALL_DATA) Xtconq $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) Xtconq-color $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_PROGRAM) xshowimf $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/xshowimf ; \
++	$(INSTALL_DATA) XShowimf $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) XShowimf-color $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) xtconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Installation of converter programs.
+ 
+ install-ximfconvs-only: x2imf imf2x
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_PROGRAM) imf2x $(bindir); \
+-	$(INSTALL_PROGRAM) x2imf $(bindir); \
+-	chown $(GAMEUID) $(bindir)/imf2x $(bindir)/x2imf ; \
+-	chgrp $(GAMEGRP) $(bindir)/imf2x $(bindir)/x2imf ; \
+-	chmod $(IAPPPERM) $(bindir)/imf2x $(bindir)/x2imf
++	$(INSTALL_PROGRAM) imf2x $(DESTDIR)$(bindir); \
++	$(INSTALL_PROGRAM) x2imf $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/imf2x $(DESTDIR)$(bindir)/x2imf
+ 
+ # Installation of manpages.
+ 
+ install-manpages-only: xconq.6
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_DATA) xconq.6 $(man6dir)
++	$(INSTALL_DATA) xconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Cleanliness support.
+ 

Modified: head/games/xconq/pkg-plist
==============================================================================
--- head/games/xconq/pkg-plist	Wed Jan 15 21:09:44 2014	(r339822)
+++ head/games/xconq/pkg-plist	Wed Jan 15 21:19:24 2014	(r339823)
@@ -1,7 +1,11 @@
+@group games
 %%NOSDL%%bin/imf2x
 %%NOSDL%%bin/imfapp
 %%NOSDL%%bin/x2imf
+@mode 2755
 bin/xconq
+@mode
+man/man6/xconq.6.gz
 %%DATADIR%%/images/3rd-age.gif
 %%DATADIR%%/images/advances.gif
 %%DATADIR%%/images/advt12x13.gif
@@ -470,6 +474,7 @@ bin/xconq
 %%NOSDL%%@dirrm %%DATADIR%%/tcltk
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/images
+@group
 @dirrm %%DATADIR%%
 @exec if [ ! -e %%SCOREDIR%% ] ; then mkdir -p -m 775 %%SCOREDIR%% ; fi
 @unexec if [ -e %%SCOREDIR%% ] ; then rm -rf %%SCOREDIR%% ; fi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2014-01-15 21:32:29 UTC
Author: antoine
Date: Wed Jan 15 21:32:19 2014
New Revision: 339824
URL: http://svnweb.freebsd.org/changeset/ports/339824
QAT: https://qat.redports.org/buildarchive/r339824/

Log:
  MFH: r339823
  
  - Unbreak
  - Stage support
  
  PR:		ports/185695
  Submitted by:	KATO Tsuguru
  Approved by:	portmgr (implicit)

Added:
  branches/2014Q1/games/xconq/files/patch-Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-Makefile.in
  branches/2014Q1/games/xconq/files/patch-curses__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-curses__Makefile.in
  branches/2014Q1/games/xconq/files/patch-doc__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-doc__Makefile.in
  branches/2014Q1/games/xconq/files/patch-images__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-images__Makefile.in
  branches/2014Q1/games/xconq/files/patch-lib__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-lib__Makefile.in
  branches/2014Q1/games/xconq/files/patch-sdl__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-sdl__Makefile.in
  branches/2014Q1/games/xconq/files/patch-tcltk__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-tcltk__Makefile.in
  branches/2014Q1/games/xconq/files/patch-x11__Makefile.in
     - copied unchanged from r339823, head/games/xconq/files/patch-x11__Makefile.in
Modified:
  branches/2014Q1/games/xconq/Makefile
  branches/2014Q1/games/xconq/pkg-plist
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/games/xconq/Makefile
==============================================================================
--- branches/2014Q1/games/xconq/Makefile	Wed Jan 15 21:19:24 2014	(r339823)
+++ branches/2014Q1/games/xconq/Makefile	Wed Jan 15 21:32:19 2014	(r339824)
@@ -13,22 +13,18 @@ LICENSE=	GPLv2 # (or later)
 
 OPTIONS_DEFINE=	SDL
 
-BROKEN=		Does not build
-
 USE_BZIP2=	yes
+USES=		compiler gmake
 USE_XORG=	x11
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-CFLAGS+=	-Wno-deprecated-writable-strings
 CONFIGURE_ARGS=	--enable-alternate-scoresdir=${SCOREDIR} \
 		--enable-alternate-gameuser=root \
 		--enable-alternate-gamegroup=games
-MAKE_ARGS=	GAMEPERM=2755 DIRPERM=775 FILEPERM=664
+MAKE_ARGS=	GAMEPERM=755 DIRPERM=775 FILEPERM=664
 MAKE_JOBS_UNSAFE=	yes
 
 PLIST_SUB=	SCOREDIR="${SCOREDIR}"
 
-MAN6=		xconq.6
 INFO=		xconq
 
 DESKTOP_ENTRIES="${PORTNAME}" "${COMMENT}" "" "${PORTNAME}" \
@@ -36,7 +32,6 @@ DESKTOP_ENTRIES="${PORTNAME}" "${COMMENT
 
 SCOREDIR?=	/var/games/xconq
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MSDL}
@@ -44,14 +39,21 @@ USE_SDL=	sdl
 CONFIGURE_ARGS+=--enable-default-ui=sdl
 PLIST_SUB+=	NOSDL="@comment "
 .else
+USES+=		tk
 USE_XORG+=	xext xmu xt xaw
-USE_TK_BUILD=	yes
-USE_TK=		yes
 CONFIGURE_ARGS+=--with-tclconfig=${TCL_LIBDIR} \
 		--with-tkconfig=${TK_LIBDIR}
 PLIST_SUB+=	NOSDL=""
 .endif
 
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == clang
+CFLAGS+=	-Wno-deprecated-writable-strings
+.else
+CFLAGS+=	-Wno-write-strings
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e \
 		'/^HFLAGS/s| $${debugging}||' ${WRKSRC}/configure
@@ -63,13 +65,14 @@ post-build:
 	(cd ${WRKSRC}/doc && makeinfo xconq.texi)
 
 post-install:
-	(cd ${WRKSRC}/doc && ${INSTALL_DATA} xconq.info ${PREFIX}/${INFO_PATH})
-	${STRIP_CMD} ${PREFIX}/bin/xconq
+	${INSTALL_DATA} ${WRKSRC}/doc/xconq.info \
+		${STAGEDIR}${PREFIX}/${INFO_PATH}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/xconq
 .if empty(PORT_OPTIONS:MSDL)
 .for i in imf2x imfapp x2imf
-	${STRIP_CMD} ${PREFIX}/bin/${i}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${i}
 .endfor
 .endif
-	@${FIND} ${DATADIR} -empty -delete
+	@${FIND} ${STAGEDIR}${DATADIR} -empty -delete
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Copied: branches/2014Q1/games/xconq/files/patch-Makefile.in (from r339823, head/games/xconq/files/patch-Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-Makefile.in)
@@ -0,0 +1,46 @@
+--- Makefile.in.orig
++++ Makefile.in
+@@ -274,20 +274,19 @@
+ 	fi
+ 
+ MAKEDIRS= \
+-	$(prefix) \
+-	$(exec_prefix) \
+-	$(bindir) \
+-	$(datadir) \
+-	$(gamelibdir) \
+-	$(imagesdir) \
+-	$(scoresdir) \
+-	$(mandir) \
+-	$(man6dir) \
+-	$(infodir) \
+-	$(tcltkdir) \
+-	$(BWidgetdir) \
+-	$(BWidgetimagesdir) \
+-	$(BWidgetlangdir)
++	$(DESTDIR)$(prefix) \
++	$(DESTDIR)$(exec_prefix) \
++	$(DESTDIR)$(bindir) \
++	$(DESTDIR)$(datadir) \
++	$(DESTDIR)$(gamelibdir) \
++	$(DESTDIR)$(imagesdir) \
++	$(DESTDIR)$(mandir) \
++	$(DESTDIR)$(man6dir) \
++	$(DESTDIR)$(infodir) \
++	$(DESTDIR)$(tcltkdir) \
++	$(DESTDIR)$(BWidgetdir) \
++	$(DESTDIR)$(BWidgetimagesdir) \
++	$(DESTDIR)$(BWidgetlangdir)
+ 
+ .PHONY: install-dirs
+ install-dirs:
+@@ -305,9 +304,6 @@
+ 			true ; \
+ 		fi ; \
+ 	done
+-	chown $(GAMEUID) $(scoresdir)
+-	chgrp $(GAMEGRP) $(scoresdir)
+-	chmod $(DIRPERM) $(scoresdir)
+ 
+ # Build a source distribution.
+ DIST_VERSION=@XCONQ_VERSION_FULL@

Copied: branches/2014Q1/games/xconq/files/patch-curses__Makefile.in (from r339823, head/games/xconq/files/patch-curses__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-curses__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-curses__Makefile.in)
@@ -0,0 +1,17 @@
+--- ./curses/Makefile.in.orig	2004-11-21 02:59:19.000000000 +0000
++++ ./curses/Makefile.in	2014-01-15 20:22:15.000000000 +0000
+@@ -132,11 +132,9 @@
+ 	else \
+ 		progname="$(CCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname}; \
+-	$(INSTALL_DATA) cconq.6 $(man6dir)
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname}; \
++	$(INSTALL_DATA) cconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Cleanliness support.
+ 

Copied: branches/2014Q1/games/xconq/files/patch-doc__Makefile.in (from r339823, head/games/xconq/files/patch-doc__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-doc__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-doc__Makefile.in)
@@ -0,0 +1,11 @@
+--- doc/Makefile.in.orig
++++ doc/Makefile.in
+@@ -95,7 +95,7 @@
+ 
+ install-info: info
+ 	for i in *.info* ; do \
+-		$(INSTALL_DATA) $$i $(infodir)/$$i ; \
++		$(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/$$i ; \
+ 	done
+ 
+ # Generation of DVI files.

Copied: branches/2014Q1/games/xconq/files/patch-images__Makefile.in (from r339823, head/games/xconq/files/patch-images__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-images__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-images__Makefile.in)
@@ -0,0 +1,23 @@
+--- ./images/Makefile.in.orig	2004-11-21 02:59:21.000000000 +0000
++++ ./images/Makefile.in	2014-01-15 20:22:48.000000000 +0000
+@@ -51,16 +51,14 @@
+ install-only:
+ 	for i in `ls $(srcdir)/*.gif `; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(imagesdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(imagesdir); \
+ 	done
+ 	for i in `ls $(srcdir)/*.bmp `; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(imagesdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(imagesdir); \
+ 	done
+-	chown $(GAMEUID) $(imagesdir) $(imagesdir)/*
+-	chgrp $(GAMEGRP) $(imagesdir) $(imagesdir)/*
+-	chmod $(DIRPERM) $(imagesdir)
+-	chmod $(FILEPERM) $(imagesdir)/*
++	chmod $(DIRPERM) $(DESTDIR)$(imagesdir)
++	chmod $(FILEPERM) $(DESTDIR)$(imagesdir)/*
+ 
+ clean:
+ 

Copied: branches/2014Q1/games/xconq/files/patch-lib__Makefile.in (from r339823, head/games/xconq/files/patch-lib__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-lib__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-lib__Makefile.in)
@@ -0,0 +1,18 @@
+--- ./lib/Makefile.in.orig	2004-11-21 03:01:29.000000000 +0000
++++ ./lib/Makefile.in	2014-01-15 20:23:04.000000000 +0000
+@@ -51,12 +51,10 @@
+ install-only:
+ 	for i in `ls $(srcdir)/*.dir $(srcdir)/*.g $(srcdir)/*.imf $(srcdir)/news.txt`; do \
+ 		echo $$i; \
+-		$(INSTALL_DATA) $(srcdir)/$$i $(gamelibdir); \
++		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(gamelibdir); \
+ 	done
+-	chown $(GAMEUID) $(gamelibdir) $(gamelibdir)/*
+-	chgrp $(GAMEGRP) $(gamelibdir) $(gamelibdir)/*
+-	chmod $(DIRPERM) $(gamelibdir)
+-	chmod $(FILEPERM) $(gamelibdir)/*
++	chmod $(DIRPERM) $(DESTDIR)$(gamelibdir)
++	chmod $(FILEPERM) $(DESTDIR)$(gamelibdir)/*
+ 
+ clean:
+ 

Copied: branches/2014Q1/games/xconq/files/patch-sdl__Makefile.in (from r339823, head/games/xconq/files/patch-sdl__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-sdl__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-sdl__Makefile.in)
@@ -0,0 +1,15 @@
+--- ./sdl/Makefile.in.orig	2005-05-01 01:47:14.000000000 +0000
++++ ./sdl/Makefile.in	2014-01-15 20:23:15.000000000 +0000
+@@ -244,10 +244,8 @@
+ 	else \
+ 		progname="$(SDLCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname};
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname};
+ 
+ install-manpages-only:
+ 	(cd $(x11srcdir) && $(MAKE) $(FLAGS_TO_PASS) install-manpages-only)

Copied: branches/2014Q1/games/xconq/files/patch-tcltk__Makefile.in (from r339823, head/games/xconq/files/patch-tcltk__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-tcltk__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-tcltk__Makefile.in)
@@ -0,0 +1,53 @@
+--- ./tcltk/Makefile.in.orig	2005-06-06 03:03:56.000000000 +0000
++++ ./tcltk/Makefile.in	2014-01-15 20:23:28.000000000 +0000
+@@ -286,17 +286,13 @@
+ install-xconq: $(PLATFORM_INSTALL_TARGETS)
+ 
+ install-libs-only:
+-	$(INSTALL_DATA) $(srcdir)/tkconq.tcl $(tcltkdir)
+-	$(INSTALL_DATA) $(srcdir)/imfapp.tcl $(tcltkdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/*.* $(BWidgetdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/images/*.* $(BWidgetimagesdir)
+-	$(INSTALL_DATA) $(srcdir)/BWidget/lang/*.* $(BWidgetlangdir)
+-	chown $(GAMEUID) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir) \
+-				     $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
+-	chgrp $(GAMEGRP) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir) \
+-				     $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
+-	chmod $(DIRPERM) $(tcltkdir) $(BWidgetdir) $(BWidgetimagesdir) $(BWidgetlangdir)
+-	chmod $(FILEPERM) $(tcltkdir)/*.* $(BWidgetdir)/*.* $(BWidgetimagesdir)/*.* $(BWidgetlangdir)/*.*
++	$(INSTALL_DATA) $(srcdir)/tkconq.tcl $(DESTDIR)$(tcltkdir)
++	$(INSTALL_DATA) $(srcdir)/imfapp.tcl $(DESTDIR)$(tcltkdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/*.* $(DESTDIR)$(BWidgetdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/images/*.* $(DESTDIR)$(BWidgetimagesdir)
++	$(INSTALL_DATA) $(srcdir)/BWidget/lang/*.* $(DESTDIR)$(BWidgetlangdir)
++	chmod $(DIRPERM) $(DESTDIR)$(tcltkdir) $(DESTDIR)$(BWidgetdir) $(DESTDIR)$(BWidgetimagesdir) $(DESTDIR)$(BWidgetlangdir)
++	chmod $(FILEPERM) $(DESTDIR)$(tcltkdir)/*.* $(DESTDIR)$(BWidgetdir)/*.* $(DESTDIR)$(BWidgetimagesdir)/*.* $(DESTDIR)$(BWidgetlangdir)/*.*
+ 
+ install-xconq-only: $(TKCONQ_EXEC_NAME)
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+@@ -305,10 +301,8 @@
+ 	else \
+ 		progname="$(TKCONQ_EXEC_NAME)" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(GAMEPERM) $(bindir)/$${progname}; 
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/$${progname}; 
+ 
+ install-imfapp-only: imfapp
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+@@ -317,10 +311,8 @@
+ 	else \
+ 		progname="imfapp" ; \
+ 	fi; \
+-	$(INSTALL_PROGRAM) $${progname} $(bindir); \
+-	chown $(GAMEUID) $(bindir)/$${progname}; \
+-	chgrp $(GAMEGRP) $(bindir)/$${progname}; \
+-	chmod $(IAPPPERM) $(bindir)/$${progname};
++	$(INSTALL_PROGRAM) $${progname} $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/$${progname};
+ 
+ install-ximfconvs-only: x2imf imf2x
+ 	(cd ../x11 && $(MAKE) $(FLAGS_TO_PASS) install-ximfconvs-only)

Copied: branches/2014Q1/games/xconq/files/patch-x11__Makefile.in (from r339823, head/games/xconq/files/patch-x11__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xconq/files/patch-x11__Makefile.in	Wed Jan 15 21:32:19 2014	(r339824, copy of r339823, head/games/xconq/files/patch-x11__Makefile.in)
@@ -0,0 +1,51 @@
+--- ./x11/Makefile.in.orig	2004-11-21 03:02:57.000000000 +0000
++++ ./x11/Makefile.in	2014-01-15 20:23:38.000000000 +0000
+@@ -213,35 +213,29 @@
+ 
+ install-xtconq: install-ximfconvs-only 
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_PROGRAM) $(XTCONQ_EXEC_NAME) $(bindir); \
+-	chown $(GAMEUID) $(bindir)/xtconq; \
+-	chgrp $(GAMEGRP) $(bindir)/xtconq; \
+-	chmod $(GAMEPERM) $(bindir)/xtconq; \
+-	$(INSTALL_DATA) Xtconq $(appdefaultsdir); \
+-	$(INSTALL_DATA) Xtconq-color $(appdefaultsdir); \
+-	$(INSTALL_PROGRAM) xshowimf $(bindir); \
+-	chown $(GAMEUID) $(bindir)/xshowimf ; \
+-	chgrp $(GAMEGRP) $(bindir)/xshowimf ; \
+-	chmod $(IAPPPERM) $(bindir)/xshowimf ; \
+-	$(INSTALL_DATA) XShowimf $(appdefaultsdir); \
+-	$(INSTALL_DATA) XShowimf-color $(appdefaultsdir); \
+-	$(INSTALL_DATA) xtconq.6 $(man6dir)
++	$(INSTALL_PROGRAM) $(XTCONQ_EXEC_NAME) $(DESTDIR)$(bindir); \
++	chmod $(GAMEPERM) $(DESTDIR)$(bindir)/xtconq; \
++	$(INSTALL_DATA) Xtconq $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) Xtconq-color $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_PROGRAM) xshowimf $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/xshowimf ; \
++	$(INSTALL_DATA) XShowimf $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) XShowimf-color $(DESTDIR)$(appdefaultsdir); \
++	$(INSTALL_DATA) xtconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Installation of converter programs.
+ 
+ install-ximfconvs-only: x2imf imf2x
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_PROGRAM) imf2x $(bindir); \
+-	$(INSTALL_PROGRAM) x2imf $(bindir); \
+-	chown $(GAMEUID) $(bindir)/imf2x $(bindir)/x2imf ; \
+-	chgrp $(GAMEGRP) $(bindir)/imf2x $(bindir)/x2imf ; \
+-	chmod $(IAPPPERM) $(bindir)/imf2x $(bindir)/x2imf
++	$(INSTALL_PROGRAM) imf2x $(DESTDIR)$(bindir); \
++	$(INSTALL_PROGRAM) x2imf $(DESTDIR)$(bindir); \
++	chmod $(IAPPPERM) $(DESTDIR)$(bindir)/imf2x $(DESTDIR)$(bindir)/x2imf
+ 
+ # Installation of manpages.
+ 
+ install-manpages-only: xconq.6
+ 	srcroot=`cd $(srcroot); pwd`; export srcroot; \
+-	$(INSTALL_DATA) xconq.6 $(man6dir)
++	$(INSTALL_DATA) xconq.6 $(DESTDIR)$(man6dir)
+ 
+ # Cleanliness support.
+ 

Modified: branches/2014Q1/games/xconq/pkg-plist
==============================================================================
--- branches/2014Q1/games/xconq/pkg-plist	Wed Jan 15 21:19:24 2014	(r339823)
+++ branches/2014Q1/games/xconq/pkg-plist	Wed Jan 15 21:32:19 2014	(r339824)
@@ -1,7 +1,11 @@
+@group games
 %%NOSDL%%bin/imf2x
 %%NOSDL%%bin/imfapp
 %%NOSDL%%bin/x2imf
+@mode 2755
 bin/xconq
+@mode
+man/man6/xconq.6.gz
 %%DATADIR%%/images/3rd-age.gif
 %%DATADIR%%/images/advances.gif
 %%DATADIR%%/images/advt12x13.gif
@@ -470,6 +474,7 @@ bin/xconq
 %%NOSDL%%@dirrm %%DATADIR%%/tcltk
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/images
+@group
 @dirrm %%DATADIR%%
 @exec if [ ! -e %%SCOREDIR%% ] ; then mkdir -p -m 775 %%SCOREDIR%% ; fi
 @unexec if [ -e %%SCOREDIR%% ] ; then rm -rf %%SCOREDIR%% ; fi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Antoine Brodin freebsd_committer 2014-01-15 21:32:54 UTC
State Changed
From-To: feedback->closed

NEED_ROOT will die, it is just a workaround for broken ports. 
I adapted the patch and committed to head and 2014Q1 branch.